Page 3 of 3 FirstFirst 123
Results 21 to 28 of 28

Thread: need help with installing new printer

  1. #21
    Join Date
    Jun 2020
    Beans
    294

    Re: [xubuntu] need help with installing new printer

    I have a number of issues and error messages that I've ignored for months
    may i suggest you run the following commands
    Code:
    sudo apt-get autoclean
    Code:
    sudo apt-get clean
    Code:
    sudo apt-get autoremove
    Code:
    rm -rfv ~/.cache/thumbnails
    Code:
    sudo du -sh /var/cache/apt
    Code:
    sudo apt-get update -y
    Code:
    sudo apt upgrade
    Code:
    sudo apt autoremove --purge
    Code:
    sudo systemd-resolve --flush-caches
    also go to settings - software&updates and see if your'e stuff look like this
    Attached Images Attached Images
    • File Type: png 1.png (34.3 KB, 9 views)
    • File Type: png 2.png (37.2 KB, 8 views)
    • File Type: png 3.png (31.4 KB, 9 views)
    xubuntu 20.04.3 LTS (focal fossa)

  2. #22
    Join Date
    Mar 2010
    Location
    Squidbilly-Land
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: [xubuntu] need help with installing new printer

    We are all here wanting to be helpful. Everyone gets frustrated. That's fine.
    Filing bugs is good, but not really a way to get a solution in the short-term. Also, nearly all bugs aren't.

    As for getting errors from the package managers (apt, apt-get, aptitude, synaptic, Software, etc.), that is something we all don't like, but it happens from time to time. All of these tools use the same back-end libraries and safely can be used to install/remove software.
    In 2011, I wrote an article about maintaining an Ubuntu Desktop that was published on a popular website. Here's that article, updated over the years: https://blog.jdpfu.com/2011/06/24/sy...-for-linux-pcs The main thing is to stay patched, run only a currently support release and to have versioned backups.

    If APT (generic term for the Ubuntu/Debian package system) is having troubles, they don't magically go away and they don't get better over time. If there are any APT errors, never attempt a release upgrade. It won't get better and can leave a system that won't boot.

    If you don't find a solution, you might look for an online linux user group meeting. Lots of these groups have moved online due to COVID and many will be happy to help with any issues. My group has 2 meetings a week and

    Should mention that in the last few years, different package types have been pushed by different organizations. These don't interact with the APT system. They are snap packages, flatpaks, and AppImages. How those impact an ubuntu system differs, but it is good to be aware of them. Snaps can be installed on Ubuntu without your explicit permission. They will be updated without your permission too. That can be excellent or terrible. Just be aware. You won't won't accidentally get any flatpaks or AppImages installed.

    To see which snaps are on your system now, run
    Code:
    snap list

  3. #23
    Join Date
    Sep 2021
    Beans
    18

    Re: need help with installing new printe

    @3nd to answer your question:

    Code:
    utilisateur@utilisateur-TravelMate-P253:~$ inxi -Fxzd
    System:    Host: utilisateur-TravelMate-P253 Kernel: 4.15.0-122-generic x86_64 bits: 64 gcc: 7.5.0
               Desktop: Xfce 4.12.3 (Gtk 2.24.31) Distro: Ubuntu 18.04.5 LTS
    Machine:   Device: laptop System: Acer product: TravelMate P253 v: V2.15 serial: N/A
               Mobo: Acer model: BA51_HC_CR v: Type2 - Board Version serial: N/A
               UEFI [Legacy]: Insyde v: V2.15 date: 03/11/2013
    CPU:       Dual core Intel Core i3-3120M (-MT-MCP-) arch: Ivy Bridge rev.9 cache: 3072 KB
               flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9976
               clock speeds: max: 2500 MHz 1: 1197 MHz 2: 1197 MHz 3: 1197 MHz 4: 1197 MHz
    Graphics:  Card: Intel 3rd Gen Core processor Graphics Controller bus-ID: 00:02.0
               Display Server: x11 (X.Org 1.19.6 ) drivers: modesetting (unloaded: fbdev,vesa)
               Resolution: 1366x768@60.01hz
               OpenGL: renderer: Mesa DRI Intel HD Graphics 4000 (IVB GT2)
               version: 4.2 Mesa 20.0.8 Direct Render: Yes
    Audio:     Card Intel 7 Series/C216 Family High Def. Audio Controller
               driver: snd_hda_intel bus-ID: 00:1b.0
               Sound: Advanced Linux Sound Architecture v: k4.15.0-122-generic
    Network:   Card-1: Broadcom and subsidiaries NetLink BCM57785 Gigabit Ethernet PCIe
               driver: tg3 v: 3.137 bus-ID: 02:00.0
               IF: eth0 state: down mac: <filter>
               Card-2: Qualcomm Atheros AR9485 Wireless Network Adapter driver: ath9k bus-ID: 03:00.0
               IF: wlan0 state: up mac: <filter>
    Drives:    HDD Total Size: 500.1GB (82.2% used)
               ID-1: /dev/sda model: WDC_WD5000LPVX size: 500.1GB temp: 40C
               Optical-1: /dev/sr0 model: MATSHITA DVD-RAM UJ8E1 rev: 1.00 dev-links: cdrom,cdrw,dvd,dvdrw
               Features: speed: 24x multisession: yes
               audio: yes dvd: yes rw: cd-r,cd-rw,dvd-r,dvd-ram state: running
    Partition: ID-1: / size: 455G used: 380G (88%) fs: ext4 dev: /dev/sda1
               ID-2: swap-1 size: 4.10GB used: 0.00GB (0%) fs: swap dev: /dev/sda5
    RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
    Sensors:   System Temperatures: cpu: 52.0C mobo: N/A
               Fan Speeds (in rpm): cpu: N/A
    Info:      Processes: 210 Uptime: 8:15 Memory: 1761.5/3764.8MB Init: systemd runlevel: 5 Gcc sys: 7.5.0
               Client: Shell (bash 4.4.201) inxi: 2.3.56 
    utilisateur@utilisateur-TravelMate-P253:~$
    Hope this helps.

    @3nd I just run all the commands you suggested and in the said order (clean, autoclean, autoremove, etc...). Here's what I get:

    pasted/shortened version: https://paste.ubuntu.com/p/pYXxz59ZPR/ - I hope you can get to the information, as this is the first time I use https://paste.ubuntu.com/

    When going to settings/software and updates, I get your thumbnail "3.png".

    Any help/suggestions welcome.

    @TheFu thanks for the useful info and the helpful attitude.

    I'm off to read your article.

    From command
    Code:
    snap list
    I get:

    Code:
    utilisateur@utilisateur-TravelMate-P253:~$ snap list
    Nom                Version    Révision  Suivi          Éditeur        Notes
    core               16-2.51.7  11743     latest/stable  canonical✓     core
    core18             20210722   2128      latest/stable  canonical✓     base
    core20             20210702   1081      latest/stable  canonical✓     base
    hplip-printer-app  1.0        70        latest/edge    openprinting✓  -
    riseup-vpn         0.21.6     172       latest/stable  leapsnaps      classic
    Also of note, despite running
    Code:
     apt --fix-broken install
    as suggested by my terminal after running all the commands suggested by @3nd in said order, I still get messages about at least 1 broken file, several version conflict, and packages that are necessary (including for the printer to run properly) not installed. To be more specific, I get this:

    Code:
    utilisateur@utilisateur-TravelMate-P253:~$ sudo apt upgrade
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Vous pouvez lancer « apt --fix-broken install » pour corriger ces problčmes.
    Les paquets suivants contiennent des dépendances non satisfaites :
     printer-driver-postscript-hp : Dépend: hplip (>= 3.17.10+repack0-5) mais il n'est pas installé
     systemd : Est en conflit avec: systemd-shim mais 9-1bzr4ubuntu1 est installé
               Casse: systemd-shim (< 10-3~) mais 9-1bzr4ubuntu1 est installé
     systemd-sysv : Est en conflit avec: systemd-shim mais 9-1bzr4ubuntu1 est installé
    E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
       (ou indiquez une solution).
    utilisateur@utilisateur-TravelMate-P253:~$ sudo apt autoremove --purge
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Vous pouvez lancer « apt --fix-broken install » pour corriger ces problčmes.
    Les paquets suivants contiennent des dépendances non satisfaites :
     printer-driver-postscript-hp : Dépend: hplip (>= 3.17.10+repack0-5) mais il n'est pas installé
     systemd : Est en conflit avec: systemd-shim mais 9-1bzr4ubuntu1 est installé
               Casse: systemd-shim (< 10-3~) mais 9-1bzr4ubuntu1 est installé
     systemd-sysv : Est en conflit avec: systemd-shim mais 9-1bzr4ubuntu1 est installé
    Trying my best to stay calm here. Bear with me.

    I just bought an external drive in order to have a backup of this old, outdated system (that still works somehow). I only have til October 4th in order to return printer if I want a refund.

    Worst case scenario: if I really can't find help online (I tried using IRC for help before logging in here but got no answer), then I'll bring the poor ol' machine to a professional for repair.

    One last piece of info: I run a search using catfish and found out I had both a .hplip (with a dot) version from 2014 and a recent hplip version I just downloaded but doesn't seem to be fully installed for some unknown reason.

    Any help welcome. Thanks.
    Last edited by howefield; October 2nd, 2021 at 10:49 PM. Reason: posts merged.
    Proud Xubuntu user since 1999
    Operating System: Ubuntu 18.04.5 LTS
    Kernel: Linux 4.15.0-122-generic
    Architecture: x86-64

  4. #24
    Join Date
    Sep 2021
    Beans
    18

    Re: need help with installing new printer

    Printer is working. HOORAY.

    (I still have system error issues, but that's for another thread).

    Thanks everyone for your help, good advice and patience.
    Proud Xubuntu user since 1999
    Operating System: Ubuntu 18.04.5 LTS
    Kernel: Linux 4.15.0-122-generic
    Architecture: x86-64

  5. #25
    Join Date
    Mar 2010
    Location
    Squidbilly-Land
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: need help with installing new printer

    I've been using Linux since 1965! https://en.wikipedia.org/wiki/Xubuntu#History, fyi.
    Support for Xubuntu 18.04 ended last April. Passed time to move to 20.04.

    Xubuntu LTS releases get 3 yrs of support, last time I checked. https://en.wikipedia.org/wiki/Xubuntu#Table_of_releases
    Am I the only person who assumed this entire thread was about 20.04?

    Moving to 20.04 will be harder now that 18.04 support is ended. Packages have been moved.

  6. #26
    Join Date
    Oct 2021
    Beans
    3

    Re: need help with installing new printer

    OK, @TheFu

    if this is too difficult, I may bring my laptop for update to a professionnal. This is beyond my skill/competence.

    Also, I had a login problem and had no other choice but to create a new Ubuntu One account. Is there a way to merge my former teabuterfly2047 account with the current one? Thanks moderators if you can do this.

    Thanks again all Ubuntu community for helpful insights and positive attitude!

  7. #27
    Join Date
    Oct 2021
    Beans
    3

    Re: need help with installing new printer

    or I'll read this: https://ubuntu.com/blog/how-to-upgra...0-04-lts-today

    and follow instructions.

  8. #28
    Join Date
    Jun 2009
    Location
    SW Forida
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: need help with installing new printer

    We cannot merge accounts.
    We can change name if requested, but you have to give 3 choices or confirm (via PM) that you are you.
    That typically is providing email of old account (not in request).
    Forum account is tied to Single Sign on only via email.

    Single Sign On
    https://help.ubuntu.com/community/SS...te_SSO_Account
    Login now by means of Ubuntu One SSO only - sticky thread
    http://ubuntuforums.org/showthread.php?t=2230004

    For an Admin or moderator to make any changes to your account you have to request here:
    https://ubuntuforums.org/forumdisplay.php?f=123
    UEFI boot install & repair info - Regularly Updated :
    https://ubuntuforums.org/showthread.php?t=2147295
    Please use Thread Tools above first post to change to [Solved] when/if answered completely.

Page 3 of 3 FirstFirst 123

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •